Module javafx.graphics
Package javafx.css

# Class StyleableDoubleProperty

java.lang.Object
javafx.beans.binding.NumberExpressionBase
javafx.beans.binding.DoubleExpression
javafx.beans.property.ReadOnlyDoubleProperty
javafx.beans.property.DoubleProperty
javafx.beans.property.DoublePropertyBase
javafx.css.StyleableDoubleProperty

All Implemented Interfaces:
  `NumberExpression`, `Observable`, `Property<Number>`, `ReadOnlyProperty<Number>`, `ObservableDoubleValue`, `ObservableNumberValue`, `ObservableValue<Number>`, `WritableDoubleValue`, `WritableNumberValue`, `WritableValue<Number>`, `StyleableProperty<Number>`

Direct Known Subclasses:
  `SimpleStyleableDoubleProperty`

    public abstract class StyleableDoubleProperty
    extends DoublePropertyBase
    implements StyleableProperty<Number>

This class extends `DoublePropertyBase` and provides a partial implementation of a `StyleableProperty`. The method `StyleableProperty.getCssMetaData()` is not implemented. This class is used to make a `DoubleProperty`, that would otherwise be implemented as a `DoublePropertyBase`, styleable by CSS.

Since:
  JavaFX 8.0
See Also:
  `DoublePropertyBase`, `CssMetaData`, `StyleableProperty`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `StyleableDoubleProperty()` | The constructor of the `StyleableDoubleProperty`.
  `StyleableDoubleProperty​(double initialValue)` | The constructor of the `StyleableDoubleProperty`.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `void` | `applyStyle​(StyleOrigin origin, Number v)` | This method is called from CSS code to set the value of the property.
  `void` | `bind​(ObservableValue<? extends Number> observable)` | Create a unidirection binding for this `Property`.
  `StyleOrigin` | `getStyleOrigin()` | Tells the origin of the value of the property.
  `void` | `set​(double v)` | Set the wrapped value.

  ### Methods inherited from class javafx.beans.property.DoublePropertyBase

  `addListener, addListener, fireValueChangedEvent, get, invalidated, isBound, removeListener, removeListener, toString, unbind`

  ### Methods inherited from class javafx.beans.property.DoubleProperty

  `asObject, bindBidirectional, doubleProperty, setValue, unbindBidirectional`

  ### Methods inherited from class javafx.beans.property.ReadOnlyDoubleProperty

  `readOnlyDoubleProperty`

  ### Methods inherited from class javafx.beans.binding.DoubleExpression

  `add, add, add, add, add, divide, divide, divide, divide, divide, doubleExpression, doubleExpression, doubleValue, floatValue, getValue, intValue, longValue, multiply, multiply, multiply, multiply, multiply, negate, subtract, subtract, subtract, subtract, subtract`

  ### Methods inherited from class javafx.beans.binding.NumberExpressionBase

  `asString, asString, asString, greaterThan, greaterThan, greaterThan, greaterThan, greaterThan, greaterThanOrEqualTo, greaterThanOrEqualTo, greaterThanOrEqualTo, greaterThanOrEqualTo, greaterThanOrEqualTo, isEqualTo, isEqualTo, isEqualTo, isEqualTo, isEqualTo, isEqualTo, isEqualTo, isEqualTo, isNotEqualTo, isNotEqualTo, isNotEqualTo, isNotEqualTo, isNotEqualTo, isNotEqualTo, isNotEqualTo, isNotEqualTo, lessThan, lessThan, lessThan, lessThan, lessThan, lessThanOrEqualTo, lessThanOrEqualTo, lessThanOrEqualTo, lessThanOrEqualTo, lessThanOrEqualTo, numberExpression`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface javafx.beans.value.ObservableValue

  `getValue`

  ### Methods inherited from interface javafx.beans.property.ReadOnlyProperty

  `getBean, getName`

  ### Methods inherited from interface javafx.css.StyleableProperty

  `getCssMetaData`

  ### Methods inherited from interface javafx.beans.value.WritableValue

  `getValue`

- ## Constructor Details

  - ### StyleableDoubleProperty

    public StyleableDoubleProperty()
    The constructor of the `StyleableDoubleProperty`.

  - ### StyleableDoubleProperty

    public StyleableDoubleProperty​(double initialValue)
    The constructor of the `StyleableDoubleProperty`.
    Parameters:
      `initialValue` - the initial value of the wrapped `Object`

- ## Method Details

  - ### applyStyle

    public void applyStyle​(StyleOrigin origin, Number v)
    This method is called from CSS code to set the value of the property.
    Specified by:
      `applyStyle` in interface `StyleableProperty<Number>`
    Parameters:
      `origin` - the origin
      `v` - the value

  - ### bind

    public void bind​(ObservableValue<? extends Number> observable)
    Create a unidirection binding for this `Property`.

    Note that JavaFX has all the bind calls implemented through weak listeners. This means the bound property can be garbage collected and stopped from being updated.

    Specified by:
      `bind` in interface `Property<Number>`
    Overrides:
      `bind` in class `DoublePropertyBase`
    Parameters:
      `observable` - The observable this `Property` should be bound to.

  - ### set

    public void set​(double v)
    Set the wrapped value. Unlike `WritableDoubleValue.setValue(java.lang.Number)`, this method uses primitive double.
    Specified by:
      `set` in interface `WritableDoubleValue`
    Overrides:
      `set` in class `DoublePropertyBase`
    Parameters:
      `v` - The new value

  - ### getStyleOrigin

    public StyleOrigin getStyleOrigin()
    Tells the origin of the value of the property. This is needed to determine whether or not CSS can override the value.
    Specified by:
      `getStyleOrigin` in interface `StyleableProperty<Number>`
    Returns:
      the style origin